<?php

namespace Shavshukov\EventAppBase\Http;

use Shavshukov\EventAppBase\ApplicationInterface;

abstract class Controller
{
    /**
     * Application instance
     *
     * @var \Shavshukov\EventAppBase\ApplicationInterface
     */
    protected $app;
    
    /**
     * Server instance
     *
     * @var \Shavshukov\EventAppBase\Http\Server
     */
    protected $server;
    
    /**
     * Constructor
     * 
     * @param \Shavshukov\EventAppBase\Http\Server $server
     * @param \Shavshukov\EventAppBase\ApplicationInterface $app
     */
    public function __construct(Server $server, ApplicationInterface $app)
    {
        $this->server = $server;
        $this->app = $app;
    }
}
