<?php

namespace Shavshukov\EventAppBase\Model;

class ArrayModel extends StorableModel
{
    
    /**
     * Get ArrayModel from array
     * 
     * @param array $array
     * @return \static
     */
    public static function from(array $array)
    {
        $model = new static();
        $model->source = $array;
        $model->setDataAfterSourceChanged(true);
        return $model;
    }
    
    /**
     * {@inheritDoc}
     */
    protected function decode(): array
    {
        return (array) $this->source;
    }

    /**
     * {@inheritDoc}
     */
    protected function encode()
    {
        return $this->data;
    }

}
